Name:          rnnoise
Epoch:         1
Version:       0.2
Release:       1mamba
Summary:       Recurrent neural network for audio noise reduction
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.xiph.org/xiph/rnnoise
Source:        https://gitlab.xiph.org/xiph/rnnoise.git/v%{version}/rnnoise-%{version}.tar.bz2
Patch0:        rnnoise-0.2-upsteam-fix-compilation-errors.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Recurrent neural network for audio noise reduction.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%patch 0 -p1 -b .upsteam-fix-compilation-errors
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/librnnoise.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/rnnoise.h
%{_libdir}/librnnoise.a
%{_libdir}/librnnoise.so
%{_libdir}/pkgconfig/rnnoise.pc
%dir %{_datadir}/doc/rnnoise
%{_datadir}/doc/rnnoise/*
%doc README

%changelog
* Thu Jun 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2-1mamba
- update to 0.2 (epoch bump)

* Sun Jul 02 2023 Automatic Build System <autodist@mambasoft.it> 1.79-1mamba
- automatic version update by autodist

* Fri Dec 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.20211231git-1mamba
- package created using the webbuild interface
